<template>
  <div layout="default">
    <component :is="layout" />
    <span v-if="!gdprIsAccepted">
      <footer-cookies-component @accept:cookies="handlerAcceptGdpr" />
    </span>
  </div>
</template>

<script>
import { DEVICES } from '@/assets/js/constants';
import FooterCookiesComponent from '@components/common/FooterCookies.vue';

export default {
  components: {
    mobile: () => import('@layouts/mobile.vue'),
    desktop: () => import('@layouts/desktop.vue'),
    FooterCookiesComponent,
  },
  data() {
    return {
      gdprIsAccepted: true,
    };
  },
  computed: {
    layout() {
      return this.$device.isDesktopOrTablet ? DEVICES.desktop : DEVICES.mobile;
    },
  },
  mounted() {
    this.gdprIsAccepted = this.getGDPR();
  },
  methods: {
    getGDPR() {
      let gdprIsAccepted = null;
      if (process.client) {
        gdprIsAccepted = localStorage.getItem('GDPR:accepted') === 'true';
      }
      return gdprIsAccepted;
    },
    handlerAcceptGdpr() {
      this.gdprIsAccepted = true;
      localStorage.setItem('GDPR:accepted', this.gdprIsAccepted);
    },
  },
};
</script>
